package com.yspay.demo.service;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

import org.junit.Test;

import com.yspay.demo.DesUtil;
import com.yspay.demo.GenerateSignUtil;
import com.yspay.demo.HttpClientUtil;

import net.sf.json.JSONObject;

public class SignNoMercContractDemo {
//	private static String URL = "https://ouser.ysepay.com:6443/saas/signContract";
	private static String URL = "http://orgmerc.ysepay.com:8880/saas/signContract";
	@Test
	public void sendSmsCode() throws Exception {
		File privateKeyFile = new File("D:\\Users\\huapf\\tms\\demo\\src\\java\\resources\\conf\\yulong_666.pfx");
		String privateKeyPassword = "123456";
		Map<String, String> map = new HashMap<String, String>();
		
		map.put("mercId","1231231231");
		map.put("businessLicence","某某科技有限公司");
		map.put("mercCnm","某某科技有限公司");
		map.put("businessLicenceNo","2342424fsdf");
		map.put("businessLicenceEdate","43931221");
		map.put("registeredAddress","广东省深圳市龙华区远景大厦");
		map.put("businessAddress","广东省深圳市龙华区远景大厦");
		map.put("legalPersonName","小王");
		map.put("legalPersonId","123456987523659485");
		map.put("legalPersonIdEdate","15231222");
		map.put("contactsName","小伟");
		map.put("contactsPhone","15012975693");
		map.put("contactsEmail","111@eptok.com");
		map.put("balanceAccName","小王");
		map.put("openAccBankname","北京银行股份有限公司天津发区支行");
		map.put("balanceAccCardno","34242");
		/**工作日*/
		map.put("t111Rate","0.5"); 
		map.put("t111RateTop","500");
		map.put("t112Rate","0.6");
		/**天天*/
		map.put("t11Rate","");
		map.put("t11RateTop","");
		map.put("t12Rate","");
		
		map.put("tadvanceFee","0.5");
		map.put("tadvanceMin","0.5");
		map.put("d0AdvanceJsignFee","0.5");
		map.put("d0AdvanceJsignMin","0.5");
		
		map.put("wechatSignRate","0.5");
		map.put("alipaySignRate","0.5");
		map.put("debitRate2","0.5");
		map.put("debitRate1","0.5");
		map.put("creditRate1","0.5");
		
		map.put("actualManager","小王");
		map.put("actualNo","123456987523659485");
		map.put("actualNoValid","15231222");
		map.put("manFirstTrial","0.5");
		map.put("manReview","0.5");
		map.put("manEntry","0.5");
		map.put("manDate","20200713");
		map.put("cusMgrNm","小小");
		map.put("mercType","1");
		map.put("backUrl","http://www.baidu.com");
		String data = JSONObject.fromObject(map).toString();
		System.out.println("data==" + data);
		String key = "A81F41DE7406CC1566579A751D93CA7A";
		String creData = DesUtil.encryptExtraData(key, "UTF-8", data);
		System.out.println(creData);
		Map<String, String> params = new HashMap<String, String>();
		try {
			params.put("ver", "1.0");
			params.put("msgCode", "Merchant");
			params.put("method", "sendSmsCode");
			params.put("src", "ORG20190724181388");
			params.put("signType", "RSA");
			params.put("charset", "UTF-8");
			params.put("data", creData);

			String sign = GenerateSignUtil.generateSign(params, privateKeyFile,
					privateKeyPassword);
			System.out.println("sign=" + sign);
			params.put("signValue", sign);
			JSONObject json = JSONObject.fromObject(params);
			String url = URL + "/sendSmsCode";
			String result = HttpClientUtil.sendJson(url, json);
			System.out.println(result);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
