package com.yspay.demo.transfer;

import java.io.Serializable;

/**
 * @author caobing
 * @version 1.0
 * @date 2021/9/17 16:12
 */
public class WxAliFeeVO implements Serializable {
    private static final long serialVersionUID = -7057758111553975893L;

    /** 微信签约费率(单位:0.01%). */
    private String wechatSignRate;

    /** 微信签约费率封底(单位:分). */
    private String wechatSignMin;

    private String wechatSignMax;

    /** 支付宝签约费率封底(单位:分). */
    private String alipaySignMin;

    private String alipaySignMax;

    /** 支付宝签约费率(单位:0.01%). */
    private String alipaySignRate;

    public String getWechatSignRate() {
        return wechatSignRate;
    }

    public void setWechatSignRate(String wechatSignRate) {
        this.wechatSignRate = wechatSignRate;
    }

    public String getWechatSignMin() {
        return wechatSignMin;
    }

    public void setWechatSignMin(String wechatSignMin) {
        this.wechatSignMin = wechatSignMin;
    }

    public String getAlipaySignMin() {
        return alipaySignMin;
    }

    public void setAlipaySignMin(String alipaySignMin) {
        this.alipaySignMin = alipaySignMin;
    }

    public String getAlipaySignRate() {
        return alipaySignRate;
    }

    public void setAlipaySignRate(String alipaySignRate) {
        this.alipaySignRate = alipaySignRate;
    }

    public String getWechatSignMax() {
        return wechatSignMax;
    }

    public void setWechatSignMax(String wechatSignMax) {
        this.wechatSignMax = wechatSignMax;
    }

    public String getAlipaySignMax() {
        return alipaySignMax;
    }

    public void setAlipaySignMax(String alipaySignMax) {
        this.alipaySignMax = alipaySignMax;
    }
}