package com.yspay.demo.service;

import com.yspay.demo.CheckSignUtil;
import com.yspay.demo.DesUtil;
import com.yspay.demo.GenerateSignUtil;
import com.yspay.demo.HttpClientUtil;
import com.yspay.demo.https.Https;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.junit.Test;

import java.io.File;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.*;

public class ModifyAuditDemo {
	//private static String URL = "https://ouser.ysepay.com:6443/saas/org";   //正式环境
	//private static String URL = "http://orgmerc.ysepay.com:8880/saas/org"; //测试环境
	private static String URL = "https://bcs.ysepay.com/saas/org";  //灰度环境
	//private static String URL = "http://localhost:7100/saas/org";


	// 进件接口
	@Test
	public void applyTest() throws Exception {

		File privateKeyFile = new File("E:\\workspace\\yulong_666.pfx");
		String privateKeyPassword = "123456";
		Map<String, String> map = new HashMap<String, String>();
		map.put("entryKey", "128877665566778843");// 密钥
		map.put("changeId", "11111");// 变更审核表主键

		JSONObject j = JSONObject.fromObject(map);
		String data = j.toString();
		System.out.println("data==" + data);
//		String key = "A81F41DE7406CC1566579A751D93CA7A";
//		String creData = DesUtil.encryptExtraData(key, "UTF-8", data);
//		System.out.println(creData);
		String sign = "";
		JSONObject json = null;
		Map<String, String> params = new HashMap<String, String>();
		try {

			params.put("ver", "1.0");
			params.put("msgCode", "Merchant");
			params.put("method", "addMerchant");
			params.put("src", "ORG20191114174409");
			params.put("signType", "RSA");
			params.put("charset", "UTF-8");
			params.put("data", data);
			
			sign = GenerateSignUtil.generateSign(params, privateKeyFile,
					privateKeyPassword);
			params.put("reqFlowId", String.valueOf(new Date().getTime()));
			System.out.println("sign=" + sign);
			params.put("signValue", sign);
			json = JSONObject.fromObject(params);

		} catch (Exception e) {
			e.printStackTrace();
		}
		String url = URL + "/testAudit";
		//String result = HttpClientUtil.sendJson(url, json);
		String result = Https.httpsSend(url, params, 10000, 10000);
		System.out.println(result);
	}

}
