package com.yspay.demo.service;

import com.yspay.demo.DesUtil;
import com.yspay.demo.GenerateSignUtil;
import com.yspay.demo.HttpClientUtil;
import net.sf.json.JSONObject;
import org.junit.Test;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

/**
 * 机构立牌自动审核
 */
public class OrgQryAuditDemo {
    // private static String URL = "https://ouser.ysepay.com:6443/saas/orgQry";
    //private static String URL = "https://bcs.ysepay.com/saas/orgQry";
    //private static String URL = "http://orgmerc.ysepay.com:8880/saas/orgQry";
    // private static String URL = "http://127.0.0.1:7100/saas/orgQry";
    private static String URL = "http://localhost:7100/saas/orgQry";

    @Test
    public void  orgQryAudit() throws Exception {
        File privateKeyFile = new File("E:\\workspace\\yulong_666.pfx");
        String privateKeyPassword = "123456";
        Map<String, String> map = new HashMap<String, String>();
        map.put("sysFlowId","202010201851570005986");
        map.put("isSendMsg","Y");
        String data = JSONObject.fromObject(map).toString();
        System.out.println("data==" + data);
        String key = "A81F41DE7406CC1566579A751D93CA7A";
        String creData = DesUtil.encryptExtraData(key, "UTF-8", data);
        System.out.println(creData);
        Map<String, String> params = new HashMap<String, String>();
        try {
            params.put("ver", "1.0");
            params.put("msgCode", "Merchant");
            params.put("method", "autoAuditQry");
            params.put("src", "ORG20191114174409");
            params.put("signType", "RSA");
            params.put("charset", "UTF-8");
            params.put("data", creData);


            String sign = GenerateSignUtil.generateSign(params, privateKeyFile,
                    privateKeyPassword);
            System.out.println("sign=" + sign);
            params.put("signValue", sign);
            JSONObject json = JSONObject.fromObject(params);
            String url = URL + "/autoAuditQry";
            String result = HttpClientUtil.sendJson(url, json);
            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
