package com.yspay.demo.transfer;

import com.alibaba.fastjson.JSONObject;


import java.util.Date;

/**
 * 互联网进件新增路由服务
 */
public class RouteService {

    public JSONObject initAddRouteParam(String mercId, RouteTemplete routeTemplete){
        JSONObject param = new JSONObject();
        String timeStamp = BcsUtils.getTimestampStr(new Date());
        param.put("tradeSource","mock");                //类型：String  必有字段  备注：交易来源 请联系本项目组获取
        param.put("reqMsgId",timeStamp);                //类型：String  必有字段  备注：请求流水号
        param.put("charset","UTF-8");                //类型：String  必有字段  备注：字符集
        param.put("timestamp",timeStamp);               //类型：String  必有字段  备注：时间戳
        param.put("srcUserCode",mercId);              //类型：String  必有字段  备注：发起方用户号（长度：<3，20>）
        param.put("tradeType",routeTemplete.tradeType);               //类型：String  必有字段  备注：交易类型 101 代收加急 102 代付加急 104 网联支付退款 等等
        param.put("routerTemplateno",routeTemplete.routerTemplateno);              //类型：String  必有字段  备注：路由模版编号 pj_template01 pj_实时代收付模板 等等，路由模板编号是根据新增模板定义来确定
        return param;
    }

}
