package com.yspay.demo.transfer;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * POSP手续费信息新增修改接口参数对象
 */
public class UrmtmfeeBaseParam implements Serializable {
    private static final long serialVersionUID = 1L;


    private String modifyRemark;
  
	private String tradeSource;

	private String  agentMercId;

	private String mercId;

	private String reqMsgId;

	private String charset;

	private String timestamp;

	private String feeCalMth;

	private String userAccountType;

	private String isSiWuRu;

	private String busiType;

	private String busiCode;

	private String payMode;
	
	private String rateType;
	
	private String standardChecked;

	private String userCardOrg;
	
	private String areaFlag;
	
	private String mercFeeMod;
	
	private String  chengben;
	
	private List<UrmtmfeeInfoParam> urmtmfeeInfoList = new  ArrayList<UrmtmfeeInfoParam>();

	public String getTradeSource() {
		return tradeSource;
	}

	public void setTradeSource(String tradeSource) {
		this.tradeSource = tradeSource;
	}

	public String getAgentMercId() {
		return agentMercId;
	}

	public void setAgentMercId(String agentMercId) {
		this.agentMercId = agentMercId;
	}

	public String getMercId() {
		return mercId;
	}

	public void setMercId(String mercId) {
		this.mercId = mercId;
	}

	public String getReqMsgId() {
		return reqMsgId;
	}

	public void setReqMsgId(String reqMsgId) {
		this.reqMsgId = reqMsgId;
	}

	public String getCharset() {
		return charset;
	}

	public void setCharset(String charset) {
		this.charset = charset;
	}

	public String getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}

	public String getFeeCalMth() {
		return feeCalMth;
	}

	public void setFeeCalMth(String feeCalMth) {
		this.feeCalMth = feeCalMth;
	}

	public String getUserAccountType() {
		return userAccountType;
	}

	public void setUserAccountType(String userAccountType) {
		this.userAccountType = userAccountType;
	}

	public String getIsSiWuRu() {
		return isSiWuRu;
	}

	public void setIsSiWuRu(String isSiWuRu) {
		this.isSiWuRu = isSiWuRu;
	}

	public String getBusiType() {
		return busiType;
	}

	public void setBusiType(String busiType) {
		this.busiType = busiType;
	}

	public String getBusiCode() {
		return busiCode;
	}

	public void setBusiCode(String busiCode) {
		this.busiCode = busiCode;
	}

	public String getPayMode() {
		return payMode;
	}

	public void setPayMode(String payMode) {
		this.payMode = payMode;
	}

	public String getRateType() {
		return rateType;
	}

	public void setRateType(String rateType) {
		this.rateType = rateType;
	}

	public String getStandardChecked() {
		return standardChecked;
	}

	public void setStandardChecked(String standardChecked) {
		this.standardChecked = standardChecked;
	}

	public String getUserCardOrg() {
		return userCardOrg;
	}

	public void setUserCardOrg(String userCardOrg) {
		this.userCardOrg = userCardOrg;
	}

	public String getAreaFlag() {
		return areaFlag;
	}

	public void setAreaFlag(String areaFlag) {
		this.areaFlag = areaFlag;
	}

	public String getMercFeeMod() {
		return mercFeeMod;
	}

	public void setMercFeeMod(String mercFeeMod) {
		this.mercFeeMod = mercFeeMod;
	}

	public String getChengben() {
		return chengben;
	}

	public void setChengben(String chengben) {
		this.chengben = chengben;
	}

	public List<UrmtmfeeInfoParam> getUrmtmfeeInfoList() {
		return urmtmfeeInfoList;
	}

	public void setUrmtmfeeInfoList(List<UrmtmfeeInfoParam> urmtmfeeInfoList) {
		this.urmtmfeeInfoList = urmtmfeeInfoList;
	}

	public String getModifyRemark() {
		return modifyRemark;
	}

	public void setModifyRemark(String modifyRemark) {
		this.modifyRemark = modifyRemark;
	}
}
